Hex: HlData Class Reference

| Hex 2.2 Hydrogen-electron collision solver

Public Member Functions | Data Fields
HlData Class Reference

One-electron diagonalization data. More...

`#include <hldata.h>`

## Public Member Functions

void | hdflink (const char *file)
| Link the structure to a disk file. More...
bool | hdfcheck (const char *file=nullptr) const
| Check that the file exists and can be opened for reading. More...
bool | hdfload (const char *file=nullptr)
| Try to load data from a disk file. More...
bool | hdfsave (const char *file=nullptr) const
| Save data to disk. More...
cArray | readPseudoState (unsigned l, unsigned ichan) const
| Read a pseudo bound state. More...
void | drop ()
| Release memory. More...

## Data Fields

cArray | Dl
| One-electron hamiltonian eigenvalues. More...
ColMatrix< Complex > | Cl
| One-electron hamiltonian eigenvectors. More...
RowMatrix< Complex > | invCl_invsqrtS
| Other combinations, used by KPAPreconditioner only. More...
RowMatrix< Complex > | invsqrtS_Cl
std::string | filename
| Filename. More...

## Detailed Description

This data structure is used to manage the one-electron eigenstates and some other data. It is used by NoPreconditioner to construct extended matrix of the system and to calculate the right-hand side, by KPAPreconditioner to precondition the system by solution of the independent electrons and by the Amplitudes class to extract the scattering T-matrix.

## Member Function Documentation

## ◆ drop()

void HlData::drop | ( |  | ) |

## ◆ hdfcheck()

bool HlData::hdfcheck | ( | const char * | file = `nullptr` | ) | const

## ◆ hdflink()

void HlData::hdflink | ( | const char * | file | ) |

## ◆ hdfload()

bool HlData::hdfload | ( | const char * | file = `nullptr` | ) |

## ◆ hdfsave()

bool HlData::hdfsave | ( | const char * | file = `nullptr` | ) | const

## ◆ readPseudoState()

cArray HlData::readPseudoState | ( | unsigned | l,
|  | unsigned | ichan
| ) |  | const

## Field Documentation

## ◆ Cl

ColMatrix<Complex> HlData::Cl

## ◆ Dl

cArray HlData::Dl

## ◆ filename

std::string HlData::filename

## ◆ invCl_invsqrtS

RowMatrix<Complex> HlData::invCl_invsqrtS

## ◆ invsqrtS_Cl

RowMatrix<Complex> HlData::invsqrtS_Cl

The documentation for this class was generated from the following files:

- src/hldata.h
- src/hldata.cpp